<div class="container">
  <form (ngSubmit)="submit()" [formGroup]="userForm">
    <div class="form-group">
      <label for="username">
        Username
      </label>
      <input type="text" id="username" class="form-control"
             placeholder="username" [formControl]="$any(userForm).get('username')">
    </div>

    <div class="form-group">
      <label for="password">
        Password
      </label>
      <input type="password" id="password" class="form-control"
             [formControl]="$any(userForm).get('password')">
    </div>
    <div>
      <small class="text-danger" *ngIf="hasError">
        {{error}}
      </small>
    </div>
    <button class="btn btn-primary" type="submit">
      Login
    </button>
    <a class="btn btn-primary" (click)="goToRecovery()">
      Forgot password
    </a>
  </form>
</div>
